libzypp 17.37.10

signaturecheckwf.cc File Reference
`#include "signaturecheckwf.h"`
`#include "keyringwf.h"`
`#include "logichelpers.h"`
`#include <zypp/ZYppFactory.h>`
`#include <zypp-core/fs/PathInfo.h>`
`#include <zypp-media/filecheckexception.h>`

Go to the source code of this file.

## Namespaces
namespace | zyppng
namespace | zyppng::SignatureFileCheckWorkflow

## Functions
expected< zypp::keyring::VerifyFileContext > | zyppng::SignatureFileCheckWorkflow::verifySignature (SyncContextRef ctx, zypp::keyring::VerifyFileContext context)
AsyncOpRef< expected< zypp::keyring::VerifyFileContext > > | zyppng::SignatureFileCheckWorkflow::verifySignature (ContextRef ctx, zypp::keyring::VerifyFileContext context)